﻿using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Media;

namespace PKJ
{
    class CoinParticles
    {
        Vector2 Position;
        Vector2 Velocity;
        int TTL = 50;
        Texture2D Sprite;
        float Size;
        float Speed;
        Rectangle CoinRect;
        Rectangle CoinSource;
        public bool removeFromWorld = false;

        public CoinParticles(Texture2D sprite, Vector2 position, float speed)
        {
            this.Sprite = sprite;
            this.Position = position;
            this.Speed = speed;
            this.Size = this.Sprite.Height;
            this.Velocity = new Vector2(speed * 3, speed);
            this.CoinSource = new Rectangle(0, 0, this.Sprite.Height, this.Sprite.Height);
            this.CoinRect = new Rectangle((int)this.Position.X, (int)this.Position.Y, (int)this.Size, (int)this.Size);
        }
        public void Update()
        {
            this.Velocity.Y += 1;
            this.Size = this.Size * 0.999f;

            if (this.Position.Y > 600)
                this.Velocity.Y = -this.Velocity.Y * 0.99f;

            this.Position.X += this.Velocity.X;
            this.Position.Y += this.Velocity.Y;

            this.CoinRect = new Rectangle((int)this.Position.X, (int)this.Position.Y, (int)this.Size, (int)this.Size);

            this.TTL--;
            if (this.TTL < 0)
                this.removeFromWorld = true;
        }
        public void Draw(SpriteBatch spriteBatch)
        {
            spriteBatch.Draw(this.Sprite, this.CoinRect, this.CoinSource, Color.White);
        }
    }
}
